import Vue from 'vue';
import Vuex from 'vuex';
import site from './site';
import link from './link';
import policyColumn from './policyColumn';
import policyNews from './policyNews';
import affairsColumn from './affairsColumn';
import affairsNews from './affairsNews';
import recordColumn from './recordColumn';
import recordNews from './recordNews';
import serveColumn from './serveColumn';
import serveNews from './serveNews';
import policiesColumn from './policiesColumn';
import policiesNew from './policiesNew';
import policiesxinxi from './policiesxinxi';
import policieszhuanjia from './policieszhuanjia';
import policiesjbxx from './policiesjbxx';
import market from './market';
import enterpriseproject from './enterpriseproject';

Vue.use(Vuex);

export default new Vuex.Store({
  modules: {
    site,
    link,
    policyColumn,
    policyNews,
    affairsColumn,
    affairsNews,
    recordColumn,
    recordNews,
    serveColumn,
    serveNews,
    policiesColumn,
    policiesNew,
    policiesxinxi,
    policieszhuanjia,
    policiesjbxx,
    market,
    enterpriseproject,
  },
  state: {},
  mutations: {},
  actions: {},
});
